Skip to main content
GET
/
trading
/
settlements
/
{settlementId}
Get settlement by ID
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trading/settlements/{settlementId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "createdAt": "2020-11-10T20:24:20Z",
    "settlementID": "c8e2fcb6-78fa-4b8a-8f6d-e3ff23093dd0",
    "settlementStatus": "EXECUTED",
    "vault": {
      "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
    },
    "trades": [
      {
        "quantitySold": "1",
        "currencySold": "USD",
        "currencyBought": "BTC",
        "price": "11681.67",
        "quantityBought": "0.00008561",
        "side": "BUY",
        "timestamp": "2020-08-31T22:15:31.99999Z",
        "tradeID": "e0538774-ebd9-11ea-adc1-0242ac120002",
        "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120011",
        "vault": {
          "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
        },
        "tradeStatus": "EXECUTED",
        "tradingPair": "BTC-USD",
        "fee": "0.01",
        "feeCurrency": "USD"
      },
      {
        "quantitySold": "1",
        "currencySold": "USD",
        "currencyBought": "ETH",
        "price": "435.16",
        "quantityBought": "0.00230049",
        "side": "BUY",
        "timestamp": "2020-08-31T22:14:07.99999Z",
        "tradeID": "d1ae1416-ebd7-11ea-adc1-0242ac120002",
        "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120002",
        "vault": {
          "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
        },
        "tradeStatus": "EXECUTED",
        "tradingPair": "ETH-USD",
        "fee": "0.01",
        "feeCurrency": "USD"
      }
    ],
    "positions": [
      {
        "positionAmount": {
          "assetType": "BTC",
          "quantity": "30.54447726"
        }
      },
      {
        "positionAmount": {
          "assetType": "ETH",
          "quantity": "8391"
        }
      }
    ],
    "instructionsCrypto": [
      {
        "address": "cosmos10tucpr3m3rgaexzy0yf0j903mp3f6xsm02al50",
        "assetTypeID": "ATOM"
      },
      {
        "address": "bitcoincash:qq5z3pjyf2r3h9dyze644adywsr3vcncry2lmkvjlw",
        "assetTypeID": "BCH"
      },
      {
        "address": "3HZdacGTDVcWwjwKCb7sEoD3kVTxJ7d25P",
        "assetTypeID": "BTC"
      },
      {
        "address": "0xd52055A39a3d2f7505C739f981f296Ea31B50191",
        "assetTypeID": "ETH"
      }
    ]
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

settlementId
string
required

The ID of the settlement to get details for

Query Parameters

excludeTrades
boolean
default:false

If true, trades property will be excluded from the response. If false, trades will be included in the response as demonstrated in the example. In order to get the full list of trades for a settlement, favor the usage of the list trades by settlement API endpoint.

excludePositions
boolean
default:false

If true, positions property will be excluded from the response. If false, positions will be included in the response as demonstrated in the example.

excludeSettlementInstructions
boolean
default:false

If true, instructionsCrypto property will be excluded from the response. If false, it will be included in the response as demonstrated in the example.

Response

Metadata about a specific settlement

data
SettlementDetails · object
required